WHATIS(1)

NAME
whatis, apropos - locate commands by name or keyword lookup

SYNOPSIS
apropos [[ -Mpath ] | [ -mpath ]] [ -nV ] keyword ...
whatis [[ -Mpath ] | [ -mpath ]] [ -nV ] keyword...

DESCRIPTION
whatis shows the manual page title line for the specified keyword(s), while apropos shows which manual pages contain instances of any of the given keyword(s) in their title line. Each word is considered separately and, for the GNO implementation, the case of letters is ignored. Words which are part of other words are considered; when looking for compile, apropos will also list all instances of compiler.

If a line output by either of these commands starts with
     name (section) ...
you can enter manname or man section name to get its documentation.

OPTIONS

-M path
    Override the list of standard directories apropos or whatis search for the whatis database. The supplied path must be a colon- or space-delimited list of directories. This search path may also be set using the environment variable MANPATH. The space delimiter is provided for compatibility with GS/OS's use of the colon as a pathname component delimiter. If the search path contains no spaces nor / characters (such as :usr:local:man), it is assumed to be a single path, not a list of paths. If spaces are used as delimiters, remember to quote them from the shell.

-m path
    Augment the list of standard directories apropos or whatis search for its database. The supplied path must be a colon- or space-delimited list of directories. These directories will be searched after the standard directories or the directories supplied by the MANPATH environment variable are searched. If spaces are used as delimiters, remember to quote them from the shell.

-n  Normally, in addition to searching the various whatis databases, apropos and whatis will also search the Orca shell 15/syscmnd file. Specifying the -n flag will keep apropos and whatis from searching this file.

-V  Show version information.

ENVIRONMENT

MANPATH
    If set, its value overrides /usr/man as the list of directories where apropos and whatis search for their databases. (The -M flag, in turn, overrides this value.) See the description of the -M flag for syntax details.

USRMAN
    If MANPATH is not set, then the value of USRMAN (if set) overrides /usr/man as the list of directories where apropos and whatis search for their databases. (The -M flag, in turn, overrides this value.) See the description of the -M flag for syntax details.

MANDIR
    If neither MANPATH nor USRMAN is set, then the value of MANDIR (if set) overrides /usr/man as the list of directories where apropos and whatis search for their databases. (The -M flag, in turn, overrides this value.) See the description of the -M flag for syntax details.

VERSION
This manual page documents apropos and whatis versions 3.1.

FILES
/usr/[share/]man/whatis - The whatis(1) database.

SEE ALSO
man(1), whereis(1), catman(8), makewhatis(8)

HISTORY
The GNO version of apropos first appeared in GNO version 1.0 and was written by Mike Horwath. This version was rewritten from scratch by Devin Reade.